
Figure - Bug #118411
【AF】【EVT3】【Monkey】106版本（529版）Monkey测试46小时后异常停止（4+27个APK）
2023-06-01 09:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106（529版）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-06-02

Test Type: Monkey Test Root cause: monkey本身出错

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v

32000000 >/sdcard/monkey.log 2>&1

【执行结果】

46小时后异常停止

进入屏保、设备未重启

History

#1 - 2023-06-01 09:53 - CD TEST-方永红

- Category changed from SYSTEM to CD-FW

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

#2 - 2023-06-01 09:58 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118411

#3 - 2023-06-01 11:00 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 我的分析

----------

05-31 19:02:04.105 27364 27364 W Monkey  : ** Error: A RuntimeException occurred:

05-31 19:02:04.109 27364 27364 W Monkey  : java.lang.IllegalStateException: Can't change activity type once set: { mBounds=Rect(20, 72 - 352, 664)

mAppBounds=Rect(20, 72 - 352, 664) mMaxBounds=Rect(0, 0 - 2560, 1080) mWindowingMode=freeform mDisplayWindowingMode=fullscreen mActivityType=home

mAlwaysOnTop=undefined mRotation=ROTATION_0} activityType=standard

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2433)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1217)
05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:708)

05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:568)

05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

05-31 19:02:04.109 27364 27364 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

05-31 19:02:04.109 27364 27364 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.app.WindowConfiguration.setActivityType(WindowConfiguration.java:402)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.app.WindowConfiguration.setTo(WindowConfiguration.java:417)

05-31 19:02:04.109 27364 27364 W Monkey  :     at android.content.res.Configuration.setTo(Configuration.java:982)

05-31 19:02:04.109 27364 27364 W Monkey  :     at

com.android.server.wm.ConfigurationContainer.onMergedOverrideConfigurationChanged(ConfigurationContainer.java:219)

05-31 19:02:04.109 27364 27364 W Monkey  :     at

com.android.server.wm.ConfigurationContainer.onMergedOverrideConfigurationChanged(ConfigurationContainer.java:226)

05-31 19:02:04.109 27364 27364 W Monkey  : 

05-31 19:02:04.112 27364 27364 I Monkey  : Events injected: 894202

05-31 19:02:04.113 27364 27364 I Monkey  : :Sending rotation degree=0, persist=false

05-31 19:02:06.155 27364 27364 I Monkey  : // Generated profiling reports in /data/misc

05-31 19:02:06.166 27364 27364 I Monkey  : :Dropped: keys=311 pointers=308 trackballs=0 flips=0 rotations=0

05-31 19:02:06.169 27364 27364 I Monkey  : ## Network stats: elapsed time=166771610ms (0ms mobile, 0ms wifi, 166771610ms not connected)

05-31 19:02:06.169 27364 27364 W Monkey  : ** System appears to have crashed at event 894202 of 32000000 using seed 1234567

----------

由于我们的系统有小窗功能，在做monkey测试时，有时会与monkey注入的Actvity事件发生冲突。

导致monkey本身报错，结束了

■ 下一步计划

做个提交规避这个问题

#4 - 2023-06-01 19:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204102 general/platform/development Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Optimize monkey's error handlingSince our system has a small window function, when doing the monkey test, sometimes there is a

conflict with the events injected by the monkeyTC-RID: 1201-0205101IssueID: TS-R-BUG-118411Change-Id: I18bd440f3ad585926c266f0f80db406bbe0f481f

#5 - 2023-06-01 19:16 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-02

- Root cause set to monkey本身出错

#6 - 2023-07-25 16:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
7.25

该问题给出了明确的修复方案，如有新的monkey停止再另起票

先关闭此问题

#7 - 2023-07-25 16:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
